Bug 1297417 - Make it more difficult to post wrong cross references in BZ comment
Make it more difficult to post wrong cross references in BZ comment
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 08:23 EST by Jan Pokorný
Modified: 2016-06-15 21:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-15 21:37:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2016-01-11 08:23:34 EST
To make it harder to accidentally insert a wrong bug cross-reference in
the comment, I suggest:

- make JS scan for "active" bug references (complete URLs or "bug XYZ"),
  make these references resolved on-the-fly into component + summary
  (or anything convenient for quick orientation) and list such resolved
  references the below comment box
- optionally, add buttons for each such bug reference listed for
  "add to Depends On/Blocks/See Also" that would make so dynamically
  as well

That would significantly limit the possibility of making a wrong
cross-reference to another bug, especially when considering that
usually such a reference is done by copy paste from a different
tab and typical bugzilla user, I guess, has more such tabs opened
at the same time.
Comment 2 Jeff Fearn 2016-01-13 00:44:43 EST
FYI Bugzilla 5 has a preview tab, including linkifying links with the pop-up text, so people who like to be diligent can swap from the comment tab to the preview tab and hover over links.
Comment 3 Jan Pokorný 2016-01-13 09:45:56 EST
re [comment 5]:
I don't see this as an optimal solution (nor necessary unless
some kind of markup language is going to be introduced, anyway).
Current quotation pseudo-markup does not justify it, IMHO.

See the second point, having the cross references dynamically offered
to be added as Depends On/Blocks/See Also (if not already) would be
beneficial to support building such kind of semantic/machine-processable
references (that in turn makes dependencies etc. clearer).
Comment 4 Jeff Fearn 2016-02-16 18:29:13 EST
(In reply to Jan Pokorný from comment #3)
> re [comment 5]:
> I don't see this as an optimal solution (nor necessary unless
> some kind of markup language is going to be introduced, anyway).
> Current quotation pseudo-markup does not justify it, IMHO.

It's upstream functionality so it costs us nothing, and BZ-6 will support markdown input.

> See the second point, having the cross references dynamically offered
> to be added as Depends On/Blocks/See Also (if not already) would be
> beneficial to support building such kind of semantic/machine-processable
> references (that in turn makes dependencies etc. clearer).

I think this bug would need a lot of votes before the PO will approve the amount of time it would take to do this given other priorities being what they are.
Comment 5 Jeff Fearn 2016-06-15 21:37:43 EDT
We do not believe this features usefulness outweighs it's costs given the limited resource the project has.

Note You need to log in before you can comment on or make changes to this bug.